//////////////////////////////////////////////////////////////////////////////
//
//  This file is part of the Atari Machine Specific Library,
//  and is Copyright 1992 by Warwick W. Allison.
//
//  You are free to copy and modify these sources, provided you acknoledge
//  the origin by retaining this notice, and adhere to the conditions
//  described in the file COPYING.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef _EasySprite_h
#define _EasySprite_h
#include <Sprite.h>
//////////////////////////////////////////////////////////////////
//
//  Simplified sprite creation routines.
//
//////////////////////////////////////////////////////////////////

Incarnation* GetIncarnation(Screen& S,int x,int y,int h,int attr);
//
//	Get an Incarnation of the given height from (x,y) on the given screen,
//	with as close as possible to the given attributes.
//

Sprite* GetMobileSprite(Screen&,int x,int y,int h,int attr,int n=1,int dx=16,int dy=0);
Sprite* GetSprite(Screen&,int x,int y,int h,int attr,int n=1,int dx=16,int dy=0);
//
//	Get a Sprite from the given Screen, using the n images of height h,
//	from (x,y) in steps of (+dx,+dy).  All Incarnations in the Sprite
//	will be of a type which attempts to provide the requested attribute.
//

// Attributes:
//
#define SP_SIMPLE		0x0		// No special features
#define SP_MONO			0x0		// Monochrome
#define SP_COLOUR		0x1		// 16-Colour
#define SP_WIDE			0x2		// 32 pixels wide
#define SP_FAST			0x4		// Faster, but use more memory
#define SP_HOTCENTRE	0x8		// Hot spot of incarnations in there centre

#endif
